Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.entities
Class InterceptorMapping

    java.lang.Object
      com.opensymphony.xwork2.config.entities.InterceptorMapping

All Implemented Interfaces:
  Serializable

    public class InterceptorMapping

extends Object
implements Serializable

`InterceptorMapping`

Version:
  $Id: InterceptorMapping.java 1063 2006-07-10 00:30:29Z mrdon $
Author:
  Rainer Hermanns
See Also:
  Serialized Form

Field Summary
`private Interceptor` | `interceptor`
`private String` | `name`

Constructor Summary
`InterceptorMapping()`
`InterceptorMapping(String name, Interceptor interceptor)`

Method Summary
`boolean` | `equals(Object o)`
`Interceptor` | `getInterceptor()`
`String` | `getName()`
`int` | `hashCode()`
`void` | `setInterceptor(Interceptor interceptor)`
`void` | `setName(String name)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    private String name

### interceptor

    private Interceptor interceptor

Constructor Detail

### InterceptorMapping

    public InterceptorMapping()

### InterceptorMapping

    public InterceptorMapping(String name,
                              Interceptor interceptor)

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getInterceptor

    public Interceptor getInterceptor()

### setInterceptor

    public void setInterceptor(Interceptor interceptor)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.